commit:     3186b48ffc09274b77d7353e043e479639b003d2
Author:     Leonardo Hernández Hernández <leohdz172 <AT> proton <DOT> me>
AuthorDate: Sat Jul 22 01:41:44 2023 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Sat Jul 22 01:42:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3186b48f

www-apps/code-server-bin: add 4.15.0

Signed-off-by: Leonardo Hernández Hernández <leohdz172 <AT> proton.me>

 www-apps/code-server-bin/Manifest                  |   2 +
 .../code-server-bin/code-server-bin-4.15.0.ebuild  | 105 +++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/www-apps/code-server-bin/Manifest 
b/www-apps/code-server-bin/Manifest
index 22962e599..addd04f0d 100644
--- a/www-apps/code-server-bin/Manifest
+++ b/www-apps/code-server-bin/Manifest
@@ -2,3 +2,5 @@ DIST code-server-4.13.0-linux-amd64.tar.gz 97870904 BLAKE2B 
320b845f1cca424c5202
 DIST code-server-4.13.0-linux-arm64.tar.gz 96675774 BLAKE2B 
4c117fa6e0c06b5203863ae1a35d5a57e36c0bc339ddf009ff106efbf3a0207ea9deb9efbf868a14f9c0bf64e3034c626d99647073c90fa9c4dd59b938b2e0ae
 SHA512 
04478cc1280326fede817549e21a086f1f0281a79b52059a1523246f42d024463a7aac61f443b6441e10f202558889ad9cb63c962f4a075cd78c14b00318d5b9
 DIST code-server-4.14.1-linux-amd64.tar.gz 98672270 BLAKE2B 
9b7389b3578209391ac0c4a622e4e9a8bdb2bfcbc3f9eda5b26264b122273777819d097f6fa03114429a7bdc4ab7ac943bb104683b5867e3df248171551548d9
 SHA512 
1d70f5dbc4f4605d5fd254df117d34c8b05fc33085c27c909f8ec73d5ef9a3d71bb11617b38a6fa3dc32138c6df92db0555c14ede814b6868cb43acec182c70a
 DIST code-server-4.14.1-linux-arm64.tar.gz 97486113 BLAKE2B 
d918d2a7f5f0be73f26408d9bb0f4a499d98044da58b19dce1146508c9a68cdf8abfb577789a70fc15658c2265b1fc548f9ed96fbf69859a5993d0218d3cca0f
 SHA512 
70db38d528ea24446859eab61c9a502e901dc325f15a50bc5788acf42bd49e29750350748a1534dbaaceb59fd1654d43e2092a481fae0768916031d07ad1e501
+DIST code-server-4.15.0-linux-amd64.tar.gz 99499811 BLAKE2B 
b14a712624d312190be8320103f156fdefb99ab0990e11a555e3d2eb647bd28b7296e55ce9080d4b642ae1eda3780db6e6ab24310635ec1b714e7df7749250f9
 SHA512 
5c825ef33458bc7d8cb53657d7160dd01afe6fda4ce9f5dadcb9e977ab921dd092320c3e8bb1120543782a1591745dc46e712e87964f1abcc5fcc554566f9193
+DIST code-server-4.15.0-linux-arm64.tar.gz 98256392 BLAKE2B 
0a9391ab69139e8674fe0f408bc98946e50114239d08bcb152f617fba2bbf42601432c05861e19fff1500574f8d54df4b1d768898c381fe31d518f0d2d8886f5
 SHA512 
95f0a1ac33ef0280f3195fbf0563f8e5f3d3fce18991758edf095dec52cd501769951b4905a83fcb100b0c5aec8db29feea6cb992e945b4f4447e56be26df2db

diff --git a/www-apps/code-server-bin/code-server-bin-4.15.0.ebuild 
b/www-apps/code-server-bin/code-server-bin-4.15.0.ebuild
new file mode 100644
index 000000000..35845168a
--- /dev/null
+++ b/www-apps/code-server-bin/code-server-bin-4.15.0.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="${PN/-bin/}"
+MY_P="${MY_PN}-${PV}"
+BASE_URI="https://github.com/coder/${MY_PN}/releases/download/v${PV}/${MY_P}-linux";
+
+inherit systemd
+
+DESCRIPTION="VS Code in the browser (binary version with unbundled node and 
ripgrep)"
+HOMEPAGE="https://coder.com/";
+SRC_URI="
+       amd64? ( ${BASE_URI}-amd64.tar.gz )
+       arm64? ( ${BASE_URI}-arm64.tar.gz )
+"
+RESTRICT="test"
+LICENSE="MIT 0BSD ISC PYTHON BSD-2 BSD Apache-2.0 Unlicense LGPL-2.1+
+       || ( BSD-2 MIT Apache-2.0 )
+       || ( MIT WTFPL )
+       || ( BSD GPL-2 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+       ${DEPEND}
+       >=net-libs/nodejs-16.0.0[ssl]
+       sys-apps/ripgrep
+       app-crypt/libsecret
+"
+
+S="${WORKDIR}/${MY_P}-linux-${ARCH}"
+
+PATCHES=( "${FILESDIR}/${PN}-node.patch" )
+
+DOCS=( "LICENSE" "README.md" "ThirdPartyNotices.txt" )
+
+QA_PREBUILT="*"
+
+# Relative
+VSCODE_MODULES="lib/vscode/node_modules"
+
+QA_PRESTRIPPED="
+       
opt/${PN}/node_modules/@node-rs/argon2-linux-x64-musl/argon2.linux-x64-musl.node
+       
opt/${PN}/${VSCODE_MODULES}/@parcel/watcher/prebuilds/linux-x64/node.napi.musl.node
+       
opt/${PN}/${VSCODE_MODULES}/@parcel/watcher/prebuilds/linux-x64/node.napi.glibc.node
+"
+
+src_prepare() {
+       default
+
+       # We remove as much precompiled code as we can,
+       # node modules not written in JS cannot be removed
+       # thus "-bin".
+
+       # use system node
+       rm ./lib/node || die "Failed to remove bundled nodejs"
+
+       # remove bundled ripgrep binary
+       rm ./"${VSCODE_MODULES}"/@vscode/ripgrep/bin/rg \
+               || die "Failed to remove bundled ripgrep"
+
+       # Only required at build time
+       find "${S}" -type l -name python3 -delete || die
+
+       # not needed
+       rm ./postinstall.sh || die
+
+       # For windows
+       rm -r ./"${VSCODE_MODULES}"/@parcel/watcher/prebuilds/win32-x64 || die
+
+       if [[ $ELIBC != "musl" ]]; then
+               rm 
./"${VSCODE_MODULES}"/@parcel/watcher/prebuilds/linux-x64/node.napi.musl.node 
|| die
+       elif [[ $ELIBC != "glibc" ]]; then
+               rm 
./"${VSCODE_MODULES}"/@parcel/watcher/prebuilds/linux-x64/node.napi.glibc.node 
|| die
+               rm 
./"${VSCODE_MODULES}"/@parcel/watcher/prebuilds/darwin-x64/node.napi.glibc.node 
|| die
+               rm 
./"${VSCODE_MODULES}"/@parcel/watcher/prebuilds/darwin-arm64/node.napi.glibc.node
 || die
+       fi
+
+       rm -r ./lib/vscode/extensions/node_modules/.bin || die
+}
+
+src_install() {
+       einstalldocs
+
+       insinto "/opt/${PN}"
+       doins -r .
+       fperms +x "/opt/${PN}/bin/${MY_PN}"
+       dosym -r "/opt/${PN}/bin/${MY_PN}" "/opt/${PN}/bin/${PN}"
+       dosym -r "/opt/${PN}/bin/${PN}" "${EPREFIX}/usr/bin/${PN}"
+
+       dosym -r "/usr/bin/rg" \
+               "${EPREFIX}/opt/${PN}/${VSCODE_MODULES}/@vscode/ripgrep/bin/rg"
+
+       systemd_douserunit "${FILESDIR}/${PN}.service"
+       newinitd "${FILESDIR}/${PN}.rc" "${PN}"
+       newconfd "${FILESDIR}/${PN}.conf" "${PN}"
+}
+
+pkg_postinst() {
+       elog "When using code-server systemd service run it as a user"
+       elog "For example: 'systemctl --user enable --now code-server'"
+}

Reply via email to